Stage a DKIM selector rotation
Creates encrypted signing custody and returns a new public DKIM record.
Creates encrypted signing custody and returns a new public DKIM record. Publish it, then advance domain verification to cut over. Retain the former record until separately approved retirement.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^dom_[0-9a-hjkmnp-tv-z]{16,24}$Header Parameters
idempotency-key*string
Length
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/email/domains/string/dkim-rotation" \ -H "idempotency-key: string"{ "id": "string", "domainId": "string", "phase": "staged", "selector": "string", "record": { "name": "string", "type": "TXT", "value": "string", "ttl": "string" }, "formerRecord": { "name": "string", "type": "TXT", "value": "string" }, "minimumRetainUntil": "string"}